Loading...
Searching...
No Matches
juce::SpeakerMappings::VstSpeakerConfigurationHolder Class Reference

## Detailed Description

Class to hold a speaker configuration.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/format_types/juce_VSTCommon.h

## Public Member Functions

| VstSpeakerConfigurationHolder ()
| VstSpeakerConfigurationHolder (const Vst2::VstSpeakerArrangement &vstConfig)
| VstSpeakerConfigurationHolder (const VstSpeakerConfigurationHolder &other)
| VstSpeakerConfigurationHolder (VstSpeakerConfigurationHolder &&other)
| VstSpeakerConfigurationHolder (const AudioChannelSet &channels)
VstSpeakerConfigurationHolder & | operator= (const VstSpeakerConfigurationHolder &vstConfig)
VstSpeakerConfigurationHolder & | operator= (const Vst2::VstSpeakerArrangement &vstConfig)
VstSpeakerConfigurationHolder & | operator= (VstSpeakerConfigurationHolder &&vstConfig)
const Vst2::VstSpeakerArrangement & | get () const

## Constructors and Destructors

## VstSpeakerConfigurationHolder() [1/5]

juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( |  | ) |

inline

Referenced by operator=(), operator=(), operator=(), VstSpeakerConfigurationHolder(), and VstSpeakerConfigurationHolder().

## VstSpeakerConfigurationHolder() [2/5]

juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | const Vst2::VstSpeakerArrangement & | vstConfig | ) |

inline

References operator=().

## VstSpeakerConfigurationHolder() [3/5]

juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | const VstSpeakerConfigurationHolder & | other | ) |

inline

References get(), operator=(), and VstSpeakerConfigurationHolder().

## VstSpeakerConfigurationHolder() [4/5]

juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | VstSpeakerConfigurationHolder && | other | ) |

inline

References VstSpeakerConfigurationHolder().

## VstSpeakerConfigurationHolder() [5/5]

juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | const AudioChannelSet & | channels | ) |

inline

References juce::AudioChannelSet::AudioChannelSet(), juce::SpeakerMappings::channelSetToVstArrangementType(), juce::SpeakerMappings::getSpeakerType(), and juce::zeromem().

## Member Functions

## operator=() [1/3]

VstSpeakerConfigurationHolder & juce::SpeakerMappings::VstSpeakerConfigurationHolder::operator= | ( | const VstSpeakerConfigurationHolder & | vstConfig | ) |

inline

References get(), operator=(), and VstSpeakerConfigurationHolder().

Referenced by operator=(), VstSpeakerConfigurationHolder(), and VstSpeakerConfigurationHolder().

## operator=() [2/3]

VstSpeakerConfigurationHolder & juce::SpeakerMappings::VstSpeakerConfigurationHolder::operator= | ( | const Vst2::VstSpeakerArrangement & | vstConfig | ) |

inline

References VstSpeakerConfigurationHolder().

## operator=() [3/3]

VstSpeakerConfigurationHolder & juce::SpeakerMappings::VstSpeakerConfigurationHolder::operator= | ( | VstSpeakerConfigurationHolder && | vstConfig | ) |

inline

References VstSpeakerConfigurationHolder().

## get()

const Vst2::VstSpeakerArrangement & juce::SpeakerMappings::VstSpeakerConfigurationHolder::get | ( |  | ) | const

inline

Referenced by operator=(), and VstSpeakerConfigurationHolder().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited